Read project template
GET /api/v1/template
GET
/api/v1/template
Reads and parses a .warden.json file from the given path. Used to import templates from outside the project directory.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” path
required
string
Absolute path to .warden.json
Responses
Section titled “ Responses ”OK
Template holds project template values loaded from .warden.json, if present.
object
agents
object
key
additional properties
object
allowedDomains
Array<string>
costBudget
number
forwardedPorts
Array<integer>
image
string
networkMode
NetworkMode controls the container’s network isolation level.
string
runtimes
Array<string>
skipPermissions
boolean
Bad Request
object
code
string
error
string
Not Found
object
code
string
error
string